Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024120
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2013-06-18 13:382013-06-20 02:08
ReporterSandrahuguetView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchFixed in SCM revision0dfdcbb590ca
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-04-10
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/08d5a13b722bbc496c640a976d5bb319a1db44bc [^]
Triggers an Emergency PackNo
Summary

0024120: The widget in reconciliation tab in financial account window does not work

DescriptionThe widget in reconciliation tab in financial account window does not work
Steps To Reproduce- Go to Financial Account and select Bank-Account 1
- Navigate to reconciliation tab and select the reconciliation number 1000006
- Open the form view
- Notice that the widget shows the message: No items to show
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059492)
AugustoMauch (developer)
2013-06-18 13:53

c988d094 196292 [http-8080-3] ERROR org.openbravo.service.datasource.DataSourceServlet - Current user/role does not have access to widget Reconciliation Details
org.openbravo.base.exception.OBSecurityException: Current user/role does not have access to widget Reconciliation Details
    at org.openbravo.client.querylist.QueryListDataSource.getData(QueryListDataSource.java:113)
    at org.openbravo.service.datasource.ReadOnlyDataSourceService.fetchJSONObject(ReadOnlyDataSourceService.java:120)
    at org.openbravo.service.datasource.ReadOnlyDataSourceService.fetch(ReadOnlyDataSourceService.java:68)
    at org.openbravo.service.datasource.DataSourceServlet.doFetch(DataSourceServlet.java:256)
    at org.openbravo.service.datasource.DataSourceServlet.doPost(DataSourceServlet.java:678)
(0059506)
hgbot (developer)
2013-06-18 19:55

Repository: erp/devel/pi
Changeset: 0dfdcbb590ca545d9c263e78bb9ee08fa96165b6
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jun 18 19:54:08 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0dfdcbb590ca545d9c263e78bb9ee08fa96165b6 [^]

Fixes issue 24120: Widgets embedded in tabs are supported again

In this changeset [1] some logic was added to restrict the access to the widgets. One of the checks consisted in throwing an exception if the widget class did not have any widget instance class associated. This makes sense for workspace widgets, but widgets embedded in tabs do not have widget instance classes.

Now, this check is only done if the widget is not embedded in a window accessible by the user.


[1] https://code.openbravo.com/erp/devel/pi/rev/08d5a13b722bbc496c640a976d5bb319a1db44bc [^]

---
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListDataSource.java
---
(0059521)
alostale (developer)
2013-06-19 11:26

Code reviewed in pi@b631ef452dae

Executed test plan:
-Following steps to reproduce in this issue works as expected
-Role without access Financial Account window cannot retrieve widget's data
-Restrictions implemented by issue 0023520 still work
(0059587)
hudsonbot (developer)
2013-06-20 02:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-06-18 13:38 Sandrahuguet New Issue
2013-06-18 13:38 Sandrahuguet Assigned To => AugustoMauch
2013-06-18 13:38 Sandrahuguet Modules => Core
2013-06-18 13:38 Sandrahuguet Triggers an Emergency Pack => No
2013-06-18 13:53 AugustoMauch Note Added: 0059492
2013-06-18 15:55 AugustoMauch Regression level => Production - QA Approved
2013-06-18 15:55 AugustoMauch Regression date => 2013-04-10
2013-06-18 15:55 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/08d5a13b722bbc496c640a976d5bb319a1db44bc [^]
2013-06-18 15:55 AugustoMauch Priority high => immediate
2013-06-18 15:55 AugustoMauch Severity major => critical
2013-06-18 19:54 AugustoMauch Review Assigned To => alostale
2013-06-18 19:55 hgbot Checkin
2013-06-18 19:55 hgbot Note Added: 0059506
2013-06-18 19:55 hgbot Status new => resolved
2013-06-18 19:55 hgbot Resolution open => fixed
2013-06-18 19:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0dfdcbb590ca545d9c263e78bb9ee08fa96165b6 [^]
2013-06-19 11:26 alostale Note Added: 0059521
2013-06-19 11:26 alostale Status resolved => closed
2013-06-19 11:26 alostale Fixed in Version => 3.0MP24
2013-06-20 02:08 hudsonbot Checkin
2013-06-20 02:08 hudsonbot Note Added: 0059587


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker